Page MenuHomePhabricator

Add OpenStreetMap to Nearby
Closed, ResolvedPublic

Description

Add an option to Nearby in the app to show a map,
mark the nearby pages to the map,
with tooltips which shows the title, description, thumbnail, and when one clicks on the tooltip it goes to the respective page.

Event Timeline

bearND created this task.May 25 2015, 2:06 PM
bearND raised the priority of this task from to Needs Triage.
bearND updated the task description. (Show Details)
bearND added subscribers: bearND, aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 25 2015, 2:06 PM

Change 212922 had a related patch set uploaded (by BearND):
WIP: Add map to nearby fragment

https://gerrit.wikimedia.org/r/212922

Yurik set Security to None.
Yurik added subscribers: Tfinc, MaxSem.
Restricted Application added a project: Discovery. · View Herald TranscriptAug 21 2015, 8:16 PM
Yurik added a subscriber: Yurik.Aug 21 2015, 8:19 PM

(this is not yet ready for production, we only have 2 varnishes + 4 backend - relatively low traffic only) you can now use https://maps.wikimedia.org/osm/{z}/{x}/{y}.png or browse it at http://maps.beta.wmflabs.org

Change 212922 merged by jenkins-bot:
Maps in Nearby: TNG

https://gerrit.wikimedia.org/r/212922

Now that the patch has been merged, what's the ETA until it makes it to beta channel?

Dbrant closed this task as Resolved.Oct 20 2015, 4:18 PM
Dbrant claimed this task.
Dbrant added a subscriber: Dbrant.

This is now ready to go to Beta. We'll still be making incremental improvements to the UX, before releasing it to production.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 23 2015, 10:57 PM